Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/CRC.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/CRC.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/CRC.java	(revision 29681)
@@ -45,10 +45,5 @@
             _value = Table[(_value ^ data[i]) & 0xFF] ^ (_value >>> 8);
     }
-    
-    public void Update(byte[] data) {
-        for (int i = 0; i < data.length; i++)
-            _value = Table[(_value ^ data[i]) & 0xFF] ^ (_value >>> 8);
-    }
-    
+        
     public void Update(byte[] data, int offset, int size) {
         for (int i = 0; i < size; i++)
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/IntVector.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/IntVector.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/IntVector.java	(revision 29681)
@@ -49,37 +49,3 @@
         return elt == 0;
     }
-    
-    public int Back() {
-        if (elt < 1)
-            throw new ArrayIndexOutOfBoundsException(0);
-        
-        return data[elt-1];
-    }
-    
-    public int Front() {
-        if (elt < 1)
-            throw new ArrayIndexOutOfBoundsException(0);
-        
-        return data[0];
-    }
-    
-    public void DeleteBack() {
-        // Delete(_size - 1);
-        remove(elt-1);
-    }
-    
-    public int remove(int index) {
-        if (index >= elt)
-            throw new ArrayIndexOutOfBoundsException(index);
-        int oldValue = data[index];
-        
-        int numMoved = elt - index - 1;
-        if (numMoved > 0)
-            System.arraycopy(elt, index+1, elt, index,numMoved);
-        
-        // data[--elt] = null; // Let gc do its work
-        
-        return oldValue;
-    }
-    
 }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LimitedSequentialInStream.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LimitedSequentialInStream.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LimitedSequentialInStream.java	(revision 29681)
@@ -5,5 +5,4 @@
     long _size;
     long _pos;
-    boolean _wasFinished;
     
     public LimitedSequentialInStream() {
@@ -17,10 +16,8 @@
         _size = streamSize;
         _pos = 0;
-        _wasFinished = false;
     }
     
     public int read() throws java.io.IOException {
         int ret = _stream.read();
-        if (ret == -1) _wasFinished = true;
         return ret;
     }
@@ -35,5 +32,4 @@
             int realProcessedSize = _stream.read(data, off, sizeToRead);
             if (realProcessedSize == -1) {
-                _wasFinished = true;
                 return -1;
             }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LockedInStream.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LockedInStream.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/LockedInStream.java	(revision 29681)
@@ -12,20 +12,5 @@
         _stream = stream;
     }
-    
-    /* really too slow, don't use !
-    public synchronized int read(long startPos) throws java.io.IOException
-    {
-        // NWindows::NSynchronization::CCriticalSectionLock lock(_criticalSection);
-        _stream.Seek(startPos, IInStream.STREAM_SEEK_SET);
-        return _stream.read();
-    }
-     */
-    
-    public synchronized int read(long startPos, byte  [] data, int size) throws java.io.IOException {
-        // NWindows::NSynchronization::CCriticalSectionLock lock(_criticalSection);
-        _stream.Seek(startPos, IInStream.STREAM_SEEK_SET);
-        return _stream.read(data,0, size);
-    }
-    
+        
     public synchronized int read(long startPos, byte  [] data, int off, int size) throws java.io.IOException {
         // NWindows::NSynchronization::CCriticalSectionLock lock(_criticalSection);
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/RecordVector.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/RecordVector.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/Common/RecordVector.java	(revision 29681)
@@ -14,11 +14,3 @@
         return get(elementCount-1);
     }
-    
-    public E Front() {
-        return get(0);
-    }
-    
-    public void DeleteBack() {
-        remove(elementCount-1);
-    }
 }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/CoderMixer2ST.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/CoderMixer2ST.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/CoderMixer2ST.java	(revision 29681)
@@ -21,9 +21,7 @@
     BindInfo _bindInfo = new BindInfo();
     ObjectVector<STCoderInfo> _coders = new ObjectVector<STCoderInfo>();
-    int _mainCoderIndex;
     
     public CoderMixer2ST() {
     }
-    
     
     public void SetBindInfo(BindInfo bindInfo) {
@@ -76,5 +74,5 @@
         _bindInfo.FindOutStream(_bindInfo.BindPairs.get(binderIndex).OutIndex,
                 tmp1 /* coderIndex */ , tmp2 /* coderStreamIndex */ );
-        int coderIndex = tmp1[0], coderStreamIndex = tmp2[0];
+        int coderIndex = tmp1[0];
         
         CoderInfo coder = _coders.get(coderIndex);
@@ -97,5 +95,5 @@
         if (coder.NumInStreams > 1)
             return HRESULT.E_NOTIMPL;
-        for (i = 0; i < (int)coder.NumInStreams; i++) {
+        for (i = 0; i < coder.NumInStreams; i++) {
             java.io.InputStream [] tmp = new java.io.InputStream[1];
             int res = GetInStream(inStreams, useless_inSizes, startIndex + i, tmp /* &seqInStream2 */ );
@@ -130,5 +128,5 @@
         _bindInfo.FindInStream(_bindInfo.BindPairs.get(binderIndex).InIndex,
                 tmp1 /* coderIndex*/ , tmp2 /* coderStreamIndex */ );
-        int coderIndex = tmp1[0], coderStreamIndex = tmp2[0];
+        int coderIndex = tmp1[0];
         
         CoderInfo coder = _coders.get(coderIndex);
@@ -157,5 +155,5 @@
         if (coder.NumOutStreams > 1)
             return HRESULT.E_NOTIMPL;
-        for (i = 0; i < (int)coder.NumOutStreams; i++) {
+        for (i = 0; i < coder.NumOutStreams; i++) {
             java.io.OutputStream [] tmp = new java.io.OutputStream[1];
             int res = GetOutStream(outStreams, useless_outSizes, startIndex + i, tmp /* &seqOutStream2 */ );
@@ -208,5 +206,5 @@
         int startInIndex = _bindInfo.GetCoderInStreamIndex(_mainCoderIndex);
         int startOutIndex = _bindInfo.GetCoderOutStreamIndex(_mainCoderIndex);
-        for (i = 0; i < (int)mainCoder.NumInStreams; i++) {
+        for (i = 0; i < mainCoder.NumInStreams; i++) {
             java.io.InputStream tmp [] = new  java.io.InputStream[1];
             int res = GetInStream(inStreams, useless_inSizes, startInIndex + i, tmp /* &seqInStream */ );
@@ -215,5 +213,5 @@
             seqInStreams.add(seqInStream);
         }
-        for (i = 0; i < (int)mainCoder.NumOutStreams; i++) {
+        for (i = 0; i < mainCoder.NumOutStreams; i++) {
             java.io.OutputStream tmp [] = new  java.io.OutputStream[1];
             int res = GetOutStream(outStreams, useless_outSizes, startOutIndex + i, tmp);
@@ -224,7 +222,7 @@
         RecordVector< java.io.InputStream > seqInStreamsSpec = new RecordVector< java.io.InputStream >();
         RecordVector< java.io.OutputStream > seqOutStreamsSpec = new RecordVector< java.io.OutputStream >();
-        for (i = 0; i < (int)mainCoder.NumInStreams; i++)
+        for (i = 0; i < mainCoder.NumInStreams; i++)
             seqInStreamsSpec.add(seqInStreams.get(i));
-        for (i = 0; i < (int)mainCoder.NumOutStreams; i++)
+        for (i = 0; i < mainCoder.NumOutStreams; i++)
             seqOutStreamsSpec.add(seqOutStreams.get(i));
         
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/FilterCoder.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/FilterCoder.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/FilterCoder.java	(revision 29681)
@@ -120,9 +120,9 @@
     }
     
-    public int ReleaseOutStream() throws IOException {
+    /*public int ReleaseOutStream() throws IOException {
         if (_outStream != null) _outStream.close(); // Release()
         _outStream = null;
         return HRESULT.S_OK;
-    }
+    }*/
     
     public void flush() throws IOException {
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/OutStreamWithCRC.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/OutStreamWithCRC.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/Common/OutStreamWithCRC.java	(revision 29681)
@@ -44,12 +44,6 @@
         _stream = null;
     }
-    public long GetSize()  {
-        return _size;
-    }
     public int GetCRC()  {
         return _crc.GetDigest();
     }
-    public void InitCRC() {
-        _crc.Init();
-    }
 }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/IInArchive.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/IInArchive.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/IInArchive.java	(revision 29681)
@@ -20,5 +20,5 @@
     SevenZipEntry getEntry(int index);
     
-    int size();
+    //int size();
     
     int close() throws IOException ;
@@ -34,6 +34,4 @@
             // IArchiveOpenCallback *openArchiveCallback */
             ) throws java.io.IOException;
-
-    
 }
 
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Decoder.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Decoder.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Decoder.java	(revision 29681)
@@ -349,5 +349,4 @@
         int [] tmp1 = new int[1];
         bindInfo.FindOutStream(bindInfo.OutStreams.get(0), tmp1 /* mainCoder */ , temp_useless /* temp */);
-        int mainCoder = tmp1[0];
         
         if (_multiThread) {
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/FileItem.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/FileItem.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/FileItem.java	(revision 29681)
@@ -3,7 +3,7 @@
 public class FileItem {
     
-    public long CreationTime;
+    //public long CreationTime;
     public long LastWriteTime;
-    public long LastAccessTime;
+    //public long LastAccessTime;
     
     public long UnPackSize;
@@ -29,7 +29,7 @@
         IsFileCRCDefined = false;
         AreAttributesDefined = false;
-        CreationTime = 0; // IsCreationTimeDefined = false;
+        //CreationTime = 0; // IsCreationTimeDefined = false;
         LastWriteTime = 0; // IsLastWriteTimeDefined = false;
-        LastAccessTime = 0; // IsLastAccessTimeDefined = false;
+        //LastAccessTime = 0; // IsLastAccessTimeDefined = false;
         IsStartPosDefined = false;
     }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Handler.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Handler.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Handler.java	(revision 29681)
@@ -13,9 +13,4 @@
 import org.j7zip.SevenZip.Common.LocalProgress;
 
-
-
-
-
-
 public class Handler implements org.j7zip.SevenZip.Archive.IInArchive {
     
@@ -26,11 +21,6 @@
     ArchiveDatabaseEx _database;
     
-    int _numThreads;
-    
     public Handler() {
-        _numThreads = 1; // TBD
-        
         _database = new ArchiveDatabaseEx();
-        
     }
     
@@ -300,8 +290,8 @@
         return 0;
     }
-    
+    /*
     public int size() {
         return _database.Files.size();
-    }
+    }*/
     
     long getPackSize(int index2) {
@@ -316,5 +306,5 @@
     
     static int GetUInt32FromMemLE(byte [] p , int off) {
-        return p[off] | (((int)p[off + 1]) << 8) | (((int)p[off + 2]) << 16) | (((int)p[off +3]) << 24);
+        return p[off] | ((p[off + 1]) << 8) | ((p[off + 2]) << 16) | ((p[off +3]) << 24);
     }
     
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Header.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Header.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/Header.java	(revision 29681)
@@ -36,5 +36,5 @@
         public static final int kLastWriteTime = 20;
         public static final int kWinAttributes = 21;
-        public static final int kComment = 22;
+        //public static final int kComment = 22;
 
         public static final int kEncodedHeader = 23;
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchive.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchive.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchive.java	(revision 29681)
@@ -223,5 +223,5 @@
     int SkeepData(long size)  throws IOException {
         for (long i = 0; i < size; i++) {
-            int temp = ReadByte();
+            /*int temp =*/ ReadByte();
         }
         return HRESULT.S_OK;
@@ -681,9 +681,9 @@
             }
             switch((int)type) {
-                case NID.kCreationTime:
+                /*case NID.kCreationTime:
                     // file.IsCreationTimeDefined = defined;
                     if (defined)
                         file.CreationTime = FileTimeToLong(high,low);
-                    break;
+                    break;*/
                 case NID.kLastWriteTime:
                     // file.IsLastWriteTimeDefined = defined;
@@ -691,9 +691,9 @@
                         file.LastWriteTime = FileTimeToLong(high,low);
                     break;
-                case NID.kLastAccessTime:
+                /*case NID.kLastAccessTime:
                     // file.IsLastAccessTimeDefined = defined;
                     if (defined)
                         file.LastAccessTime = FileTimeToLong(high,low);
-                    break;
+                    break;*/
             }
         }
@@ -717,5 +717,5 @@
         IntVector digests = new IntVector();
         
-        int ret = ReadStreamsInfo(null,
+        /*int ret =*/ ReadStreamsInfo(null,
                 dataOffset,
                 packSizes,
@@ -767,5 +767,5 @@
     int ReadDatabase(ArchiveDatabaseEx database) throws IOException {
         database.Clear();
-        database.ArchiveInfo.StartPosition = _arhiveBeginStreamPosition;
+        //database.ArchiveInfo.StartPosition = _arhiveBeginStreamPosition;
         
         byte [] btmp = new byte[2];
@@ -775,5 +775,5 @@
         
         database.ArchiveInfo.ArchiveVersion_Major = btmp[0];
-        database.ArchiveInfo.ArchiveVersion_Minor = btmp[1];
+        //database.ArchiveInfo.ArchiveVersion_Minor = btmp[1];
         
         if (database.ArchiveInfo.ArchiveVersion_Major != kMajorVersion)
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchiveInfo.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchiveInfo.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InArchiveInfo.java	(revision 29681)
@@ -6,7 +6,7 @@
 {
     public byte ArchiveVersion_Major;
-    public byte ArchiveVersion_Minor;
+    //public byte ArchiveVersion_Minor;
     
-    public long StartPosition;
+    //public long StartPosition;
     public long StartPositionAfterHeader;
     public long DataStartPosition;
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InByte2.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InByte2.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Archive/SevenZip/InByte2.java	(revision 29681)
@@ -30,5 +30,5 @@
     }
     
-    int GetProcessedSize() { return _pos; }
+    //int GetProcessedSize() { return _pos; }
     
     InByte2() {
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ArchiveExtractCallback.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ArchiveExtractCallback.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ArchiveExtractCallback.java	(revision 29681)
@@ -55,9 +55,9 @@
     }
     public int PrepareOperation(int askExtractMode) {
-        _extractMode = false;
+        /*_extractMode = false;
         switch (askExtractMode) {
             case IInArchive.NExtract_NAskMode_kExtract:
                 _extractMode = true;
-        };
+        };*/
         switch (askExtractMode) {
             case IInArchive.NExtract_NAskMode_kExtract:
@@ -186,11 +186,11 @@
     
     public long NumErrors;
-    boolean PasswordIsDefined;
-    String Password;
-    boolean _extractMode;
+    //boolean PasswordIsDefined;
+    //String Password;
+    //boolean _extractMode;
     
     boolean isDirectory;
     
-    public ArchiveExtractCallback() { PasswordIsDefined = false; }
+    public ArchiveExtractCallback() { /*PasswordIsDefined = false;*/ }
     
     
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ2_x86_Decoder.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ2_x86_Decoder.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ2_x86_Decoder.java	(revision 29681)
@@ -103,34 +103,34 @@
                     int b0 = _callStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src = ((int)b0) << 24;
+                    src = (b0) << 24;
                     
                     b0 = _callStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0) << 16;
+                    src |= (b0) << 16;
                     
                     b0 = _callStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0) << 8;
+                    src |= (b0) << 8;
                     
                     b0 = _callStream.read();
                     if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0);
+                    src |= (b0);
                     
                 } else {
                     int b0 = _jumpStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src = ((int)b0) << 24;
+                    src = (b0) << 24;
                     
                     b0 = _jumpStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0) << 16;
+                    src |= (b0) << 16;
                     
                     b0 = _jumpStream.read();
                     // if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0) << 8;
+                    src |= (b0) << 8;
                     
                     b0 = _jumpStream.read();
                     if(b0 == -1) return HRESULT.S_FALSE;
-                    src |= ((int)b0);
+                    src |= (b0);
                     
                 }
@@ -140,5 +140,5 @@
                 _outStream.WriteByte((dest >> 16));
                 _outStream.WriteByte((dest >> 24));
-                prevByte = (int)(dest >> 24) & 0xFF;
+                prevByte = dest >> 24 & 0xFF;
                 processedBytes += 4;
             } else
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ_x86_Decoder.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ_x86_Decoder.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/Branch/BCJ_x86_Decoder.java	(revision 29681)
@@ -54,7 +54,7 @@
                     (prevMask[0] >>> 1) < 0x10) {
                 int src =
-                        ((int)(b) << 24) |
-                        ((int)(buffer[bufferPos + 3] & 0xFF) << 16) |
-                        ((int)(buffer[bufferPos + 2] & 0xFF) << 8) |
+                        ((b) << 24) |
+                        ((buffer[bufferPos + 3] & 0xFF) << 16) |
+                        ((buffer[bufferPos + 2] & 0xFF) << 8) |
                         (buffer[bufferPos + 1] & 0xFF);
                 
@@ -69,5 +69,5 @@
                         break;
                     index = kMaskToBitNumber[prevMask[0] >>> 1];
-                    b = (int)((dest >> (24 - index * 8)) & 0xFF);
+                    b = (dest >> (24 - index * 8)) & 0xFF;
                     if (!Test86MSByte(b))
                         break;
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZ/BinTree.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZ/BinTree.java	(revision 29679)
+++ 	(revision )
@@ -1,382 +1,0 @@
-// LZ.BinTree
-
-package org.j7zip.SevenZip.Compression.LZ;
-import java.io.IOException;
-
-
-public class BinTree extends InWindow
-{
-	int _cyclicBufferPos;
-	int _cyclicBufferSize = 0;
-	int _matchMaxLen;
-	
-	int[] _son;
-	int[] _hash;
-	
-	int _cutValue = 0xFF;
-	int _hashMask;
-	int _hashSizeSum = 0;
-	
-	boolean HASH_ARRAY = true;
-
-	static final int kHash2Size = 1 << 10;
-	static final int kHash3Size = 1 << 16;
-	static final int kBT2HashSize = 1 << 16;
-	static final int kStartMaxLen = 1;
-	static final int kHash3Offset = kHash2Size;
-	static final int kEmptyHashValue = 0;
-	static final int kMaxValForNormalize = (1 << 30) - 1;
-	
-	int kNumHashDirectBytes = 0;
-	int kMinMatchCheck = 4;
-	int kFixHashSize = kHash2Size + kHash3Size;
-
-	public void SetType(int numHashBytes)
-	{
-		HASH_ARRAY = (numHashBytes > 2);
-		if (HASH_ARRAY)
-		{
-			kNumHashDirectBytes = 0;
-			kMinMatchCheck = 4;
-			kFixHashSize = kHash2Size + kHash3Size;
-		}
-		else
-		{
-			kNumHashDirectBytes = 2;
-			kMinMatchCheck = 2 + 1;
-			kFixHashSize = 0;
-		}
-	}
-	
-
-	
-
-	public void Init() throws IOException
-	{
-		super.Init();
-		for (int i = 0; i < _hashSizeSum; i++)
-			_hash[i] = kEmptyHashValue;
-		_cyclicBufferPos = 0;
-		ReduceOffsets(-1);
-	}
-	
-	public void MovePos() throws IOException
-	{
-		if (++_cyclicBufferPos >= _cyclicBufferSize)
-			_cyclicBufferPos = 0;
-		super.MovePos();
-		if (_pos == kMaxValForNormalize)
-			Normalize();
-	}
-	
-
-	
-	
-	
-	
-	
-	
-	public boolean Create(int historySize, int keepAddBufferBefore,
-			int matchMaxLen, int keepAddBufferAfter)
-	{
-		if (historySize > kMaxValForNormalize - 256)
-			return false;
-		_cutValue = 16 + (matchMaxLen >> 1);
-
-		int windowReservSize = (historySize + keepAddBufferBefore +
-				matchMaxLen + keepAddBufferAfter) / 2 + 256;
-		
-		super.Create(historySize + keepAddBufferBefore, matchMaxLen + keepAddBufferAfter, windowReservSize);
-		
-		_matchMaxLen = matchMaxLen;
-
-		int cyclicBufferSize = historySize + 1;
-		if (_cyclicBufferSize != cyclicBufferSize)
-			_son = new int[(_cyclicBufferSize = cyclicBufferSize) * 2];
-
-		int hs = kBT2HashSize;
-
-		if (HASH_ARRAY)
-		{
-			hs = historySize - 1;
-			hs |= (hs >> 1);
-			hs |= (hs >> 2);
-			hs |= (hs >> 4);
-			hs |= (hs >> 8);
-			hs >>= 1;
-			hs |= 0xFFFF;
-			if (hs > (1 << 24))
-				hs >>= 1;
-			_hashMask = hs;
-			hs++;
-			hs += kFixHashSize;
-		}
-		if (hs != _hashSizeSum)
-			_hash = new int [_hashSizeSum = hs];
-		return true;
-	}
-	public int GetMatches(int[] distances) throws IOException
-	{
-		int lenLimit;
-		if (_pos + _matchMaxLen <= _streamPos)
-			lenLimit = _matchMaxLen;
-		else
-		{
-			lenLimit = _streamPos - _pos;
-			if (lenLimit < kMinMatchCheck)
-			{
-				MovePos();
-				return 0;
-			}
-		}
-
-		int offset = 0;
-		int matchMinPos = (_pos > _cyclicBufferSize) ? (_pos - _cyclicBufferSize) : 0;
-		int cur = _bufferOffset + _pos;
-		int maxLen = kStartMaxLen; // to avoid items for len < hashSize;
-		int hashValue, hash2Value = 0, hash3Value = 0;
-		
-		if (HASH_ARRAY)
-		{
-			int temp = CrcTable[_bufferBase[cur] & 0xFF] ^ (_bufferBase[cur + 1] & 0xFF);
-			hash2Value = temp & (kHash2Size - 1);
-			temp ^= ((int)(_bufferBase[cur + 2] & 0xFF) << 8);
-			hash3Value = temp & (kHash3Size - 1);
-			hashValue = (temp ^ (CrcTable[_bufferBase[cur + 3] & 0xFF] << 5)) & _hashMask;
-		}
-		else
-			hashValue = ((_bufferBase[cur] & 0xFF) ^ ((int)(_bufferBase[cur + 1] & 0xFF) << 8));
-
-		int curMatch = _hash[kFixHashSize + hashValue];
-		if (HASH_ARRAY)
-		{
-			int curMatch2 = _hash[hash2Value];
-			int curMatch3 = _hash[kHash3Offset + hash3Value];
-			_hash[hash2Value] = _pos;
-			_hash[kHash3Offset + hash3Value] = _pos;
-			if (curMatch2 > matchMinPos)
-				if (_bufferBase[_bufferOffset + curMatch2] == _bufferBase[cur])
-				{
-					distances[offset++] = maxLen = 2;
-					distances[offset++] = _pos - curMatch2 - 1;
-				}
-			if (curMatch3 > matchMinPos)
-				if (_bufferBase[_bufferOffset + curMatch3] == _bufferBase[cur])
-				{
-					if (curMatch3 == curMatch2)
-						offset -= 2;
-					distances[offset++] = maxLen = 3;
-					distances[offset++] = _pos - curMatch3 - 1;
-					curMatch2 = curMatch3;
-				}
-			if (offset != 0 && curMatch2 == curMatch)
-			{
-				offset -= 2;
-				maxLen = kStartMaxLen;
-			}
-		}
-
-		_hash[kFixHashSize + hashValue] = _pos;
-
-		int ptr0 = (_cyclicBufferPos << 1) + 1;
-		int ptr1 = (_cyclicBufferPos << 1);
-
-		int len0, len1;
-		len0 = len1 = kNumHashDirectBytes;
-
-		if (kNumHashDirectBytes != 0)
-		{
-			if (curMatch > matchMinPos)
-			{
-				if (_bufferBase[_bufferOffset + curMatch + kNumHashDirectBytes] !=
-						_bufferBase[cur + kNumHashDirectBytes])
-				{
-					distances[offset++] = maxLen = kNumHashDirectBytes;
-					distances[offset++] = _pos - curMatch - 1;
-				}
-			}
-		}
-
-		int count = _cutValue;
-
-		while (true)
-		{
-			if (curMatch <= matchMinPos || count-- == 0)
-			{
-				_son[ptr0] = _son[ptr1] = kEmptyHashValue;
-				break;
-			}
-			int delta = _pos - curMatch;
-			int cyclicPos = ((delta <= _cyclicBufferPos) ?
-				(_cyclicBufferPos - delta) :
-				(_cyclicBufferPos - delta + _cyclicBufferSize)) << 1;
-
-			int pby1 = _bufferOffset + curMatch;
-			int len = Math.min(len0, len1);
-			if (_bufferBase[pby1 + len] == _bufferBase[cur + len])
-			{
-				while(++len != lenLimit)
-					if (_bufferBase[pby1 + len] != _bufferBase[cur + len])
-						break;
-				if (maxLen < len)
-				{
-					distances[offset++] = maxLen = len;
-					distances[offset++] = delta - 1;
-					if (len == lenLimit)
-					{
-						_son[ptr1] = _son[cyclicPos];
-						_son[ptr0] = _son[cyclicPos + 1];
-						break;
-					}
-				}
-			}
-			if ((_bufferBase[pby1 + len] & 0xFF) < (_bufferBase[cur + len] & 0xFF))
-			{
-				_son[ptr1] = curMatch;
-				ptr1 = cyclicPos + 1;
-				curMatch = _son[ptr1];
-				len1 = len;
-			}
-			else
-			{
-				_son[ptr0] = curMatch;
-				ptr0 = cyclicPos;
-				curMatch = _son[ptr0];
-				len0 = len;
-			}
-		}
-		MovePos();
-		return offset;
-	}
-
-	public void Skip(int num) throws IOException
-	{
-		do
-		{
-			int lenLimit;
-			if (_pos + _matchMaxLen <= _streamPos)
-			lenLimit = _matchMaxLen;
-			else
-			{
-				lenLimit = _streamPos - _pos;
-				if (lenLimit < kMinMatchCheck)
-				{
-					MovePos();
-					continue;
-				}
-			}
-
-			int matchMinPos = (_pos > _cyclicBufferSize) ? (_pos - _cyclicBufferSize) : 0;
-			int cur = _bufferOffset + _pos;
-			
-			int hashValue;
-
-			if (HASH_ARRAY)
-			{
-				int temp = CrcTable[_bufferBase[cur] & 0xFF] ^ (_bufferBase[cur + 1] & 0xFF);
-				int hash2Value = temp & (kHash2Size - 1);
-				_hash[hash2Value] = _pos;
-				temp ^= ((int)(_bufferBase[cur + 2] & 0xFF) << 8);
-				int hash3Value = temp & (kHash3Size - 1);
-				_hash[kHash3Offset + hash3Value] = _pos;
-				hashValue = (temp ^ (CrcTable[_bufferBase[cur + 3] & 0xFF] << 5)) & _hashMask;
-			}
-			else
-				hashValue = ((_bufferBase[cur] & 0xFF) ^ ((int)(_bufferBase[cur + 1] & 0xFF) << 8));
-
-			int curMatch = _hash[kFixHashSize + hashValue];
-			_hash[kFixHashSize + hashValue] = _pos;
-
-			int ptr0 = (_cyclicBufferPos << 1) + 1;
-			int ptr1 = (_cyclicBufferPos << 1);
-
-			int len0, len1;
-			len0 = len1 = kNumHashDirectBytes;
-
-			int count = _cutValue;
-			while (true)
-			{
-				if (curMatch <= matchMinPos || count-- == 0)
-				{
-					_son[ptr0] = _son[ptr1] = kEmptyHashValue;
-					break;
-				}
-
-				int delta = _pos - curMatch;
-				int cyclicPos = ((delta <= _cyclicBufferPos) ?
-					(_cyclicBufferPos - delta) :
-					(_cyclicBufferPos - delta + _cyclicBufferSize)) << 1;
-
-				int pby1 = _bufferOffset + curMatch;
-				int len = Math.min(len0, len1);
-				if (_bufferBase[pby1 + len] == _bufferBase[cur + len])
-				{
-					while (++len != lenLimit)
-						if (_bufferBase[pby1 + len] != _bufferBase[cur + len])
-							break;
-					if (len == lenLimit)
-					{
-						_son[ptr1] = _son[cyclicPos];
-						_son[ptr0] = _son[cyclicPos + 1];
-						break;
-					}
-				}
-				if ((_bufferBase[pby1 + len] & 0xFF) < (_bufferBase[cur + len] & 0xFF))
-				{
-					_son[ptr1] = curMatch;
-					ptr1 = cyclicPos + 1;
-					curMatch = _son[ptr1];
-					len1 = len;
-				}
-				else
-				{
-					_son[ptr0] = curMatch;
-					ptr0 = cyclicPos;
-					curMatch = _son[ptr0];
-					len0 = len;
-				}
-			}
-			MovePos();
-		}
-		while (--num != 0);
-	}
-	
-	void NormalizeLinks(int[] items, int numItems, int subValue)
-	{
-		for (int i = 0; i < numItems; i++)
-		{
-			int value = items[i];
-			if (value <= subValue)
-				value = kEmptyHashValue;
-			else
-				value -= subValue;
-			items[i] = value;
-		}
-	}
-	
-	void Normalize()
-	{
-		int subValue = _pos - _cyclicBufferSize;
-		NormalizeLinks(_son, _cyclicBufferSize * 2, subValue);
-		NormalizeLinks(_hash, _hashSizeSum, subValue);
-		ReduceOffsets(subValue);
-	}
-	
-	public void SetCutValue(int cutValue) { _cutValue = cutValue; }
-
-	private static final int[] CrcTable = new int[256];
-
-	static
-	{
-		for (int i = 0; i < 256; i++)
-		{
-			int r = i;
-			for (int j = 0; j < 8; j++)
-				if ((r & 1) != 0)
-					r = (r >>> 1) ^ 0xEDB88320;
-				else
-					r >>>= 1;
-			CrcTable[i] = r;
-		}
-	}
-}
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZ/InWindow.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZ/InWindow.java	(revision 29679)
+++ 	(revision )
@@ -1,131 +1,0 @@
-// LZ.InWindow
-
-package org.j7zip.SevenZip.Compression.LZ;
-
-import java.io.IOException;
-
-public class InWindow
-{
-	public byte[] _bufferBase; // pointer to buffer with data
-	java.io.InputStream _stream;
-	int _posLimit;  // offset (from _buffer) of first byte when new block reading must be done
-	boolean _streamEndWasReached; // if (true) then _streamPos shows real end of stream
-	
-	int _pointerToLastSafePosition;
-	
-	public int _bufferOffset;
-	
-	public int _blockSize;  // Size of Allocated memory block
-	public int _pos;             // offset (from _buffer) of curent byte
-	int _keepSizeBefore;  // how many BYTEs must be kept in buffer before _pos
-	int _keepSizeAfter;   // how many BYTEs must be kept buffer after _pos
-	public int _streamPos;   // offset (from _buffer) of first not read byte from Stream
-	
-	public void MoveBlock()
-	{
-		int offset = _bufferOffset + _pos - _keepSizeBefore;
-		// we need one additional byte, since MovePos moves on 1 byte.
-		if (offset > 0)
-			offset--;
-
-		int numBytes = _bufferOffset + _streamPos - offset;
-		
-		// check negative offset ????
-		for (int i = 0; i < numBytes; i++)
-			_bufferBase[i] = _bufferBase[offset + i];
-		_bufferOffset -= offset;
-	}
-	
-	public void ReadBlock() throws IOException
-	{
-		if (_streamEndWasReached)
-			return;
-		while (true)
-		{
-			int size = (0 - _bufferOffset) + _blockSize - _streamPos;
-			if (size == 0)
-				return;
-			int numReadBytes = _stream.read(_bufferBase, _bufferOffset + _streamPos, size);
-			if (numReadBytes == -1)
-			{
-				_posLimit = _streamPos;
-				int pointerToPostion = _bufferOffset + _posLimit;
-				if (pointerToPostion > _pointerToLastSafePosition)
-					_posLimit = _pointerToLastSafePosition - _bufferOffset;
-				
-				_streamEndWasReached = true;
-				return;
-			}
-			_streamPos += numReadBytes;
-			if (_streamPos >= _pos + _keepSizeAfter)
-				_posLimit = _streamPos - _keepSizeAfter;
-		}
-	}
-	
-	void Free() { _bufferBase = null; }
-	
-	public void Create(int keepSizeBefore, int keepSizeAfter, int keepSizeReserv)
-	{
-		_keepSizeBefore = keepSizeBefore;
-		_keepSizeAfter = keepSizeAfter;
-		int blockSize = keepSizeBefore + keepSizeAfter + keepSizeReserv;
-		if (_bufferBase == null || _blockSize != blockSize)
-		{
-			Free();
-			_blockSize = blockSize;
-			_bufferBase = new byte[_blockSize];
-		}
-		_pointerToLastSafePosition = _blockSize - keepSizeAfter;
-	}
-	
-	public void SetStream(java.io.InputStream stream) { _stream = stream; 	}
-	public void ReleaseStream() { _stream = null; }
-
-	public void Init() throws IOException
-	{
-		_bufferOffset = 0;
-		_pos = 0;
-		_streamPos = 0;
-		_streamEndWasReached = false;
-		ReadBlock();
-	}
-	
-	public void MovePos() throws IOException
-	{
-		_pos++;
-		if (_pos > _posLimit)
-		{
-			int pointerToPostion = _bufferOffset + _pos;
-			if (pointerToPostion > _pointerToLastSafePosition)
-				MoveBlock();
-			ReadBlock();
-		}
-	}
-	
-	public byte GetIndexByte(int index)	{ return _bufferBase[_bufferOffset + _pos + index]; }
-	
-	// index + limit have not to exceed _keepSizeAfter;
-	public int GetMatchLen(int index, int distance, int limit)
-	{
-		if (_streamEndWasReached)
-			if ((_pos + index) + limit > _streamPos)
-				limit = _streamPos - (_pos + index);
-		distance++;
-		// Byte *pby = _buffer + (size_t)_pos + index;
-		int pby = _bufferOffset + _pos + index;
-		
-		int i;
-		for (i = 0; i < limit && _bufferBase[pby + i] == _bufferBase[pby + i - distance]; i++);
-		return i;
-	}
-	
-	public int GetNumAvailableBytes()	{ return _streamPos - _pos; }
-	
-	public void ReduceOffsets(int subValue)
-	{
-		_bufferOffset += subValue;
-		_posLimit -= subValue;
-		_pos -= subValue;
-		_streamPos -= subValue;
-	}
-}
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Base.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Base.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Base.java	(revision 29681)
@@ -5,5 +5,5 @@
 public class Base
 {
-	public static final int kNumRepDistances = 4;
+	//public static final int kNumRepDistances = 4;
 	public static final int kNumStates = 12;
 	
@@ -43,5 +43,5 @@
 	
 	public static final int kNumPosSlotBits = 6;
-	public static final int kDicLogSizeMin = 0;
+	//public static final int kDicLogSizeMin = 0;
 	// public static final int kDicLogSizeMax = 28;
 	// public static final int kDistTableSizeMax = kDicLogSizeMax * 2;
@@ -57,24 +57,24 @@
 		if (len < kNumLenToPosStates)
 			return len;
-		return (int)(kNumLenToPosStates - 1);
+		return kNumLenToPosStates - 1;
 	}
 	
 	public static final int kNumAlignBits = 4;
-	public static final int kAlignTableSize = 1 << kNumAlignBits;
-	public static final int kAlignMask = (kAlignTableSize - 1);
+	/*public static final int kAlignTableSize = 1 << kNumAlignBits;
+	public static final int kAlignMask = (kAlignTableSize - 1);*/
 	
 	public static final int kStartPosModelIndex = 4;
 	public static final int kEndPosModelIndex = 14;
-	public static final int kNumPosModels = kEndPosModelIndex - kStartPosModelIndex;
+	//public static final int kNumPosModels = kEndPosModelIndex - kStartPosModelIndex;
 	
 	public static final  int kNumFullDistances = 1 << (kEndPosModelIndex / 2);
 	
-	public static final  int kNumLitPosStatesBitsEncodingMax = 4;
+	//public static final  int kNumLitPosStatesBitsEncodingMax = 4;
 	public static final  int kNumLitContextBitsMax = 8;
 	
 	public static final  int kNumPosStatesBitsMax = 4;
 	public static final  int kNumPosStatesMax = (1 << kNumPosStatesBitsMax);
-	public static final  int kNumPosStatesBitsEncodingMax = 4;
-	public static final  int kNumPosStatesEncodingMax = (1 << kNumPosStatesBitsEncodingMax);
+	/*public static final  int kNumPosStatesBitsEncodingMax = 4;
+	public static final  int kNumPosStatesEncodingMax = (1 << kNumPosStatesBitsEncodingMax);*/
 	
 	public static final  int kNumLowLenBits = 3;
@@ -83,6 +83,6 @@
 	public static final  int kNumLowLenSymbols = 1 << kNumLowLenBits;
 	public static final  int kNumMidLenSymbols = 1 << kNumMidLenBits;
-	public static final  int kNumLenSymbols = kNumLowLenSymbols + kNumMidLenSymbols +
+	/*public static final  int kNumLenSymbols = kNumLowLenSymbols + kNumMidLenSymbols +
 			(1 << kNumHighLenBits);
-	public static final  int kMatchMaxLen = kMatchMinLen + kNumLenSymbols - 1;
+	public static final  int kMatchMaxLen = kMatchMinLen + kNumLenSymbols - 1;*/
 }
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Decoder.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Decoder.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/Compression/LZMA/Decoder.java	(revision 29681)
@@ -24,5 +24,4 @@
         extends java.io.InputStream // _ST_MODE
         implements org.j7zip.SevenZip.ICompressCoder , org.j7zip.SevenZip.ICompressSetDecoderProperties2 ,
-        org.j7zip.SevenZip.ICompressGetInStreamProcessedSize,
         // #ifdef _ST_MODE
         org.j7zip.SevenZip.ICompressSetInStream,
@@ -180,10 +179,4 @@
         m_posStateMask = numPosStates - 1;
         return true;
-    }
-    
-    
-    public long GetInStreamProcessedSize() {
-        throw new UnknownError("GetInStreamProcessedSize");
-        // return m_RangeDecoder.GetProcessedSize();
     }
     
@@ -484,5 +477,5 @@
         int dictionarySize = 0;
         for (int i = 0; i < 4; i++)
-            dictionarySize += ((int)(properties[1 + i]) & 0xFF) << (i * 8);
+            dictionarySize += ((properties[1 + i]) & 0xFF) << (i * 8);
         if (!SetLcLpPb(lc, lp, pb))
             return false;
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICodeProgress.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICodeProgress.java	(revision 29679)
+++ 	(revision )
@@ -1,6 +1,0 @@
-package org.j7zip.SevenZip;
-
-public interface ICodeProgress
-{
-	public void SetProgress(long inSize, long outSize);
-}
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICompressGetInStreamProcessedSize.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICompressGetInStreamProcessedSize.java	(revision 29679)
+++ 	(revision )
@@ -1,6 +1,0 @@
-package org.j7zip.SevenZip;
-
-public interface ICompressGetInStreamProcessedSize {
-    public long GetInStreamProcessedSize();
-}
-
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICompressSetOutStream.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICompressSetOutStream.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/ICompressSetOutStream.java	(revision 29681)
@@ -3,5 +3,5 @@
 public interface ICompressSetOutStream {
     public int SetOutStream(java.io.OutputStream inStream);
-    public int ReleaseOutStream() throws java.io.IOException;
+    //public int ReleaseOutStream() throws java.io.IOException;
 }
 
Index: applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/MyRandomAccessFile.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/MyRandomAccessFile.java	(revision 29679)
+++ applications/editors/josm/plugins/opendata/includes/org/j7zip/SevenZip/MyRandomAccessFile.java	(revision 29681)
@@ -26,8 +26,4 @@
         return _file.read(data,off,size);
     }
-        
-    public int read(byte [] data, int size) throws java.io.IOException {
-        return _file.read(data,0,size);
-    }
     
     public void close() throws java.io.IOException {
